Bug 535362 - (RHQ-2066) LDAP authentication not active after rhq reboot
LDAP authentication not active after rhq reboot
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2009-05-07 04:09 EDT by Joakim Sandstrom
Modified: 2013-09-02 03:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joakim Sandstrom 2009-05-07 04:09:00 EDT
steps to reproduce:

* configure ldap authentication
* enable ldap authentication
* try to login using ldap user
-- rhq uses ldap login module
* reboot rhq server
* try to login using ldap user
-- rhq uses jdbc login module
* login as rhqadmin
* check settings
-- ldap authentication is enabled in ui, but not in login logic
-- deactivate ldap authentication & save changes
-- reactivate ldap authentication & save
* logout rhqadmin and login using ldap user
-- rhq still uses jdbc login module
* login as rhqadmin'
-- go to settings and change e.g. login property to e.g. 'invalidattr' & save
-- change back login property to the correct value e.g. 'uid'  & save
* logout rhqadmin and login using ldap user
-- now rhq is using the ldap login module
Comment 1 Joakim Sandstrom 2009-05-07 04:10:02 EDT
Tested on jopr 2.2.0
Comment 2 John Mazzitelli 2009-08-06 12:19:56 EDT
i'll look at this
Comment 3 John Mazzitelli 2009-08-10 13:39:10 EDT
what kinds of error messages do you see in the server logs?
Comment 4 John Mazzitelli 2009-08-10 15:12:05 EDT
look at your server logs, it should say this (even when you reboot - this is the startup stuff)

INFO  [CustomJaasDeploymentService] Installing RHQ Server's JAAS login modules
...
INFO  [CustomJaasDeploymentService] Enabling RHQ LDAP JAAS Provider

I have not been able to reproduce this. My LDAP is properly configured and it remains so even after a reboot. I log in as an LDAP user and it uses LDAP to authenticate the user.

Look in your database, table RHQ_SYSTEM_CONFIG and check the LDAP settings - make sure they are your latest values -this ensures the database update to your settings was successful.
Comment 5 John Mazzitelli 2009-08-10 15:14:17 EDT
I'll need to know what the exact LDAP settings were in the Settings UI page, too that reproduced this error
Comment 6 John Mazzitelli 2009-08-10 15:41:22 EDT
lowering down to major priority until we can confirm this really is a problem in the new stuff. I tested on trunk/HEAD (soon to be released) and I was not able to see any problems with the LDAP login modules even after re-starting the server.
Comment 7 Red Hat Bugzilla 2009-11-10 15:57:05 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2066
This bug relates to RHQ-2189
Comment 8 John Mazzitelli 2011-03-24 10:04:44 EDT
simeon did alot of LDAP work recently. I suspect this is fixed.  Assigning to him to look it over and move to ON_QA if appropriate.
Comment 9 Simeon Pinder 2011-03-24 10:20:03 EDT
This doesn't happen anymore. As long as the LDAP server is up the JAAS auth does enable successfully through reboots. Moving to ON_QA.
Comment 10 Sunil Kondkar 2011-06-03 04:57:47 EDT
Verified in build 107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Configured the ldap settings and logged in successfully with ldap user.
Restarted RHQ server and verified that the ldap users are able to login successfully.

Marking as verified.
Comment 11 Heiko W. Rupp 2013-09-02 03:19:22 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.